Bug 412734 - ktorrent snap package is not runnig after installed, dependency is missing QT 5.12. And It has a double icon in the appmenu
Summary: ktorrent snap package is not runnig after installed, dependency is missing QT...
Status: RESOLVED FIXED
Alias: None
Product: ktorrent
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Snap Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: Scarlett Moore
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-08 14:19 UTC by Lvaskz
Modified: 2022-10-29 16:51 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 22.08.2


Attachments
qt 5.12 missing (147.70 KB, image/png)
2019-10-08 14:19 UTC, Lvaskz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lvaskz 2019-10-08 14:19:12 UTC
Created attachment 123090 [details]
qt 5.12 missing

SUMMARY
ktorrent snap package is not runnig after installed, dependency is missing QT 5.12. And It has a double icon in the appmenu. Linuxmint 19.2, 64 bit 

STEPS TO REPRODUCE
1. Install ktorrent via snapstore
2.find it in the appmenu, you willl see 2 icons, choose anyone. ( not running)
3. open a terminal and type snap run ktorrent. You will see a error displayed about a library missing qt5.12

OBSERVED RESULT
ktorrent is not runnig, ktorrent has double icon

EXPECTED RESULT
See one icon, and ktorrent should run.

SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: Linuxmint 19.2, 64 bits
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
Comment 1 Patrick Silva 2020-02-07 14:40:02 UTC
I installed snap ktorrent on Arch Linux running "snap install --candidate ktorrent"
and this issue persists.


Operating System: Arch Linux 
KDE Plasma Version: 5.17.90
KDE Frameworks Version: 5.66.0
Qt Version: 5.14.1
Comment 2 Justin Zobel 2020-10-30 06:38:43 UTC
Still broken sadly:
ktorrent: /snap/ktorrent/9/kf5/usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.14' not found (required by ktorrent)
ktorrent: /snap/ktorrent/9/kf5/usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.14' not found (required by /snap/ktorrent/9/usr/lib/x86_64-linux-gnu/libktcore.so.16)
ktorrent: /snap/ktorrent/9/kf5/usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.14' not found (required by /snap/ktorrent/9/usr/lib/x86_64-linux-gnu/libKF5Torrent.so.6)
ktorrent: /snap/ktorrent/9/kf5/usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.14' not found (required by /snap/ktorrent/9/usr/lib/x86_64-linux-gnu/libqca-qt5.so.2)
Comment 3 Scarlett Moore 2022-10-29 16:51:41 UTC
Ktorrent snap now works 
Please install newest release from snap store.